/**********************************************-*- indent-tabs-mode:nil; -*-
 *                                                                         *
 *   InConcert - Tap Tempo Synchronization for Live Performances           *
 *                                                                         *
 *   Copyright (C) 2008 by Gabriel M. Beddingfield                         *
 *   gabriel@teuton.org                                                    *
 *                                                                         *
 *   "For of him [God], and through him, and unto him, are all things.     *
 *   To him be the glory for ever. Amen." (Romans 11:36)                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; version 2 of the License, or any later  *
 *   version.                                                              *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef __INCONCERT_MIDIIMPLEMENTATION_HPP__
#define __INCONCERT_MIDIIMPLEMENTATION_HPP__

/* JackMidiIn.hpp
   Gabriel M. Beddingfield
   2008-08-20

   Global definitions and prototypes.
*/

#include "HiJack/MidiInPort.hpp"
#include <jack/types.h>

// Midi Implementation Limits
#define MIDI_CC_MIN  0x30
#define MIDI_CC_MAX  0x38
#define TAPS_MAX     12

// Midi Implementation
#define CC_SET_CHANNEL  0x30
#define CC_REZERO       0x31
#define CC_TAP          0x32
#define CC_STARTSTOP    0x33
#define CC_INSERTORSKIP 0x34
#define CC_TAPSREQUIRED 0x35
#define CC_TAPSCUECTL   0x36
#define CC_BEATSPERMEAS 0x37
#define CC_SETTEMPO     0x38



#endif // __INCONCERT_MIDIIMPLEMENTATION_HPP__
